Campaigns: Duplicate
GET /apps/{app_id}/campaigns/{id}/duplicatePath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the pulsate campaign you want to copy |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/campaigns/{id}/duplicate \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "name": "Push Test copy01", "author_name": "John Smith Jr.fff", "allow_reply": false, "broadcast_type": "segment", "beacon_events": null, "beacon_ids": [], "beacon_dwelling_times": null, "campaign_expiry": false, "campaign_limits": false, "card_notification": null, "control_group": null, "delivery": "current", "display_type": "Push", "dispatch_rate": 100, "duplication_source_id": "68078c47a46a6f4bd478c905", "email_notification": null, "expiry_date": null, "expiry_time_frame": "hours", "expiry_time_value": null, "geofence_events": null, "geofence_ids": [], "geofence_dwelling_times": null, "goals_attributes": [ { "primary": true, "event_kind": "open_app", "expiry_time_unit": "hours", "expiry_time_value": 1, "event_identifier": null } ], "group_ids": [], "hidable": false, "hidden": false, "hidden_at": null, "hidden_from_feed": false, "in_app_event_names": [], "in_app_notification": {}, "last_builder_page": 1, "push_variants": [ { "active_fields": { "buttons": false, "title_template": true, "subtitle_template": false }, "attachment": { "url": null, "provider": null, "data": {}, "active": false }, "body_template": "Everyone wins when we support our local small businesses. Before you head to those big box stores, check out our team's list of favourite neighborhood businesses.", "button_category_id": null, "buttons": [], "category": "PULDefaultCategory", "destination": "cma01560://p2p", "destination_type": "deeplink", "subtitle_template": null, "title_template": "We love local!" } ], "segment_ids": [ "67a0f466a46a6f2201f320c0" ], "sms_notification": null, "start_now": true, "status": "Draft", "target": { "events": { "details": [], "count": 0 }, "geofences": { "details": [], "count": 0 }, "segments": { "details": [ { "id": "67a0f466a46a6f2201f320c0", "name": "muzioio1" } ], "count": 1 }, "beacons": { "details": [], "count": 0 } }, "time_frame": null, "time_value": null, "time_zone_name": "Asia/Karachi", "time_zone_offset": "+05:00", "time_windows": [], "type": "PushNotificationCampaign", "type_list": [ "push" ]}
